Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 1138)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 1139)
@@ -27,7 +27,6 @@
 //
 package org.txm.rcp.views.corpora;
 
-import java.util.ArrayList;
 import java.util.HashMap;
 import java.util.List;
 
@@ -53,7 +52,6 @@
 import org.eclipse.swt.events.SelectionEvent;
 import org.eclipse.swt.events.SelectionListener;
 import org.eclipse.swt.graphics.Image;
-import org.eclipse.swt.graphics.ImageData;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Display;
 import org.eclipse.swt.widgets.Event;
@@ -68,7 +66,6 @@
 import org.eclipse.ui.contexts.IContextService;
 import org.eclipse.ui.model.WorkbenchLabelProvider;
 import org.eclipse.ui.part.ViewPart;
-import org.eclipse.ui.plugin.AbstractUIPlugin;
 import org.txm.Toolbox;
 import org.txm.core.results.TXMResult;
 import org.txm.objects.Project;
@@ -494,7 +491,7 @@
 	 * Selects some items.
 	 * @param arrayList
 	 */
-	public static void select(ArrayList<?> arrayList) {
+	public static void select(List<?> arrayList) {
 		CorporaView corporaView = openView();
 		if (corporaView != null) {
 			StructuredSelection selection = new StructuredSelection(arrayList);
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 1138)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 1139)
@@ -1053,8 +1053,8 @@
 		return cql_limit_query;
 	}
 
-	public ArrayList<TXMResult> clearResults() {
-		ArrayList<TXMResult> old = this.children;
+	public List<TXMResult> clearResults() {
+		List<TXMResult> old = this.children;
 		this.children = new ArrayList<TXMResult>();
 		return old;
 	}
Index: tmp/org.txm.core/src/java/org/txm/objects/Edition.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Edition.java	(revision 1138)
+++ tmp/org.txm.core/src/java/org/txm/objects/Edition.java	(revision 1139)
@@ -321,8 +321,13 @@
 	 */
 	@Override
 	public String toString() {
-		return "Edition [name="+pName+" index=" + pIndex + ", \npages=" //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-				+ pages.size() + "]"; //$NON-NLS-1$
+		try {
+			return "Edition [name="+pName+" index=" + pIndex + ", \npages=" //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+					+ pages.size() + "]"; //$NON-NLS-1$
+		}
+		catch (Exception e) {
+			return "Edition";
+		}
 	}
 
 	public static void main(String[] args) {
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/adapters/CorpusAdapterFactory.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/adapters/CorpusAdapterFactory.java	(revision 1138)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/adapters/CorpusAdapterFactory.java	(revision 1139)
@@ -3,6 +3,7 @@
 
 import java.util.ArrayList;
 import java.util.Collections;
+import java.util.List;
 
 import org.eclipse.jface.resource.ImageDescriptor;
 import org.eclipse.ui.model.IWorkbenchAdapter;
@@ -14,9 +15,7 @@
 import org.txm.rcp.adapters.TXMResultAdapter;
 import org.txm.rcp.adapters.TXMResultAdapterFactory;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
-import org.txm.searchengine.cqp.corpus.CorpusManager;
 import org.txm.searchengine.cqp.corpus.Partition;
-import org.txm.searchengine.cqp.corpus.Subcorpus;
 
 
 /**
@@ -35,7 +34,7 @@
 			return new TXMResultAdapter() {
 				@Override
 				public Object[] getChildren(Object corpus) {
-					ArrayList<TXMResult> allChildren = ((CQPCorpus) corpus).getChildren();
+					List<TXMResult> allChildren = ((CQPCorpus) corpus).getChildren();
 
 					ArrayList partitions = new ArrayList();
 					ArrayList subcorporas = new ArrayList();
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java	(revision 1138)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java	(revision 1139)
@@ -198,7 +198,7 @@
 	 * @param results the results
 	 * @return true, if successful
 	 */
-	private boolean hasSymbol(ArrayList<TXMResult> results) {
+	private boolean hasSymbol(List<TXMResult> results) {
 		String symbol = null;
 		for(Object rez : results)
 		{
